classification
Title: VC6 build patch for trunk
Type: Stage:
Components: Build, Windows Versions: Python 2.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: ocean-city
Priority: normal Keywords: patch

Created on 2007-04-14 04:06 by ocean-city, last changed 2008-04-01 10:08 by ocean-city. This issue is now closed.

Files
File name Uploaded Description Edit
vc6-trunk.patch ocean-city, 2007-04-14 04:06
vc6-trunk-ver2.patch ocean-city, 2007-10-25 14:11
vc6-trunk-ver3.patch ocean-city, 2008-01-02 14:11
vc6-trunk-ver4b.patch ocean-city, 2008-01-03 04:58 Please forget vc6-trunk-ver4.patch
vc6-trunk-ver4c.patch ocean-city, 2008-01-03 05:09
vc6-trunk-ver4c.zip ocean-city, 2008-01-04 16:17
vc6-trunk-ver4c.zip ocean-city, 2008-01-04 16:18
vc6-trunk-ver5.zip ocean-city, 2008-01-20 14:07
Messages (12)
msg52442 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2007-04-14 04:06
Hello. This is follow up patch for current trunk.
I confirmed testall.py passes on VC6 except for
test_normalization.py. (I needed to expand python_d.exe's stack size to 1MB, though. otherwise,
test_excepsion.py etc crashes with stack overflow)

# error of test_normalization.py
FAILED (errors=1)
Traceback (most recent call last):
  File "test_normalization.py", line 94, in <module>
    test_main()
  File "test_normalization.py", line 91, in test_main
    run_unittest(NormalizationTest)
  File "e:\python-dev\trunk\lib\test\test_support.py", line 557, in run_unittest

    run_suite(suite, testclass)
  File "e:\python-dev\trunk\lib\test\test_support.py", line 542, in run_suite
    raise TestFailed(err)
test.test_support.TestFailed: Traceback (most recent call last):
  File "test_normalization.py", line 36, in test_main
    for line in open_urlresource(TESTDATAURL):
  File "e:\python-dev\trunk\lib\test\test_support.py", line 271, in open_urlreso
urce
    requires('urlfetch')
  File "e:\python-dev\trunk\lib\test\test_support.py", line 94, in requires
    raise ResourceDenied(msg)
ResourceDenied: Use of the `urlfetch' resource not enabled
msg56746 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2007-10-25 14:11
I updated patch. To avoid conflict <winsock.h> and <winsock2.h>,
WIN32_LEAN_AND_MEAN is needed.
msg59093 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-01-02 14:11
I updated the patch.
- Added missing _msi support
- Workaround for PC/msvcrtmodule.c (getwch not exists on VC6)
msg59122 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-01-03 04:47
Sorry, I updated the patch again.
- Add Python/pystrcmp.c to pythoncore.dsp.
- Rev59671 contains intptr_t unavailable on VC6, avoid compile error by 
using PyLong_FromVoidPtr().
msg59123 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-01-03 04:58
Ummm, I realized my change is probably inproper... 

Index: Objects/intobject.c
===================================================================
--- Objects/intobject.c	(revision 59671)
+++ Objects/intobject.c	(working copy)
@@ -1053,7 +1053,7 @@
 
 static PyObject *
 int_getN(PyIntObject *v, void *context) {
-	return PyInt_FromLong((intptr_t)context);
+	return PyLong_FromVoidPtr(context);
 }

I recreated the patch against rev59669 for now. Please try my patch on 
that revision. Currently, VC6 cannot compile python on HEAD.
msg59124 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-01-03 05:09
Umm, I found Py_intptr_t...
OK, VC6 can compile HEAD. Please forget previous patch. I confirmed 
test_long.py, test_math.py, test_builtin.py successfully runs.
msg59235 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-01-04 16:17
I zipped PC/VC6/* as files.
msg59236 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-01-04 16:18
I zipped PC/VC6/* as files.
msg59237 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-01-04 16:23
Oops, sorry for double post. My network provider now stucks somehow...
msg61294 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-01-20 14:07
Rev59716 required some fix.
I'm not sure the patch for Lib/socket.py is apropriate.
msg62239 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-02-09 23:05
Please don't apply this patch now.
VC6 build fails from rev.60696
msg64154 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-03-20 05:44
issue2065 contains the patch for this branch too, so I'll close this issue.
History
Date User Action Args
2008-04-01 10:08:10ocean-citysetfiles: - vc6-trunk-ver4.patch
2008-03-20 05:44:28ocean-citysetstatus: open -> closed
resolution: duplicate
messages: + msg64154
2008-02-09 23:05:19ocean-citysetmessages: + msg62239
2008-01-20 14:07:48ocean-citysetfiles: + vc6-trunk-ver5.zip
messages: + msg61294
2008-01-04 16:23:07ocean-citysetmessages: + msg59237
2008-01-04 16:18:25ocean-citysetfiles: + vc6-trunk-ver4c.zip
messages: + msg59236
2008-01-04 16:17:55ocean-citysetfiles: + vc6-trunk-ver4c.zip
messages: + msg59235
2008-01-03 20:19:56JosephArmbrustersetcomponents: + Windows
2008-01-03 05:09:28ocean-citysetfiles: + vc6-trunk-ver4c.patch
messages: + msg59124
2008-01-03 04:58:38ocean-citysetfiles: + vc6-trunk-ver4b.patch
messages: + msg59123
2008-01-03 04:47:11ocean-citysetfiles: + vc6-trunk-ver4.patch
messages: + msg59122
2008-01-02 14:11:02ocean-citysetfiles: + vc6-trunk-ver3.patch
messages: + msg59093
2007-10-25 14:11:39ocean-citysetfiles: + vc6-trunk-ver2.patch
messages: + msg56746
2007-04-14 04:06:20ocean-citycreate